#define FXAA_QUALITY__PRESET 9
#define USE_ANTI_ALIASING
#define USE_PRE_SHARPEN
//#define USE_TONEMAP
//#define USE_VIGNETTE
//#define USE_POST_SHARPEN

//FXAA inactive; base routine running since other shaders depend on it
float fxaaQualitySubpix = 9;
float fxaaQualityEdgeThreshold = 0.075;
float fxaaQualityEdgeThresholdMin = 0.025;


//PRE-SHARPENING: sharpness the image to balance out the fuzzy blur caused by in game FXAA
bool highQualitySharpen = 1;
#define Average 0.3
#define CoefBlur 1.5
#define SharpenEdge 0.15
#define Sharpen_val0 0.4


//TONEMAP: Completely post processes the colours for more natural contrast and saturation 
#define Gamma 1.5             // higher values give a darker and more saturated colour band
#define Exposure 0.3         // simulates exposure: higher values dramatically increase strength of bright parts of the image, used here to balance the overall loss of gamma brightness and to increase the overall contrast
#define Saturation -0.1     // strength of the colour band, lowered here to balance the excessive saturation caused by high gamma whilst retaining high and natural contrast
#define BlueShift 0.0 
#define Bleach 0.0 
#define Defog -0.4
#define FogColor float4(0.0, 0.0, 0.0, 3.0) 

//VIGNETTE: Very subtly darkness the images close to monitor edges, effect often used in film to concentrate the image and "force" the frame
#define VignetteCenter float2(0.500, 0.500) 
#define VignetteRadius 1.0 
#define VignetteAmount -0.015

//POST-SCHARPENING: final sharpening pass to smooth out the finished frame and retain and overall crisp image
float Sharpen = 0.0005;
